# ✂️ Crispulator.jl

| **Stable release** | **Documentation**                 | **Build Status**                                              |
|:------------------------------------------------------|:-------------------------------------------------------------------------|:--------------------------------------------------------------|
| ![](https://juliahub.com/docs/Crispulator/version.svg) | [![][docs-dev-img]][docs-dev-url] | [![][status-img]][status-url] [![][ci-img]][ci-url] [![][codecov-img]][codecov-url] |

A pooled genetic screen simulator

## Motivation

Pooled screens are very useful, but they are also extraordinarily complex.
This work aims to explore the importance of various screen parameters and
the relevance of design choices on the downstream analysis and
interpretation.

## Paper

Nagy, T. & Kampmann, M. CRISPulator: a discrete simulation tool for pooled genetic screens. BMC Bioinformatics 18, 347 (2017). https://doi.org/10.1186/s12859-017-1759-9 (Preprint also [available](https://doi.org/10.1101/119131))

## Documentation

- [**STABLE**][docs-stable-url] &mdash; **most recently tagged version of the documentation.**
- [**DEV**][docs-dev-url] &mdash; *in-development version of the documentation.*



[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://tlnagy.github.io/Crispulator.jl/dev

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://tlnagy.github.io/Crispulator.jl/stable

[ci-img]: https://github.com/tlnagy/Crispulator.jl/workflows/CI/badge.svg
[ci-url]: https://github.com/tlnagy/Crispulator.jl/actions

[codecov-img]: https://codecov.io/gh/tlnagy/Crispulator.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/tlnagy/Crispulator.jl

[status-img]: https://www.repostatus.org/badges/latest/inactive.svg
[status-url]: https://www.repostatus.org/#inactive
