# Crispulator Internals

More in-depth documentation on specific types and functions.

## Contents

```@contents
Pages = ["internals.md"]
```

## Index

```@index
Pages = ["internals.md"]
```

## Simulation Types

```@docs
Crispulator.FacsScreen
Crispulator.GrowthScreen
```

## Key functions

```@docs
Crispulator.construct_library
Crispulator.transfect
Crispulator.select
Crispulator.sequencing
Crispulator.counts_to_freqs
Crispulator.differences_between_bins
```

## Miscellaneous Types

```@docs
Crispulator.Library
Crispulator.Barcode
Crispulator.KDPhenotypeRelationship
Crispulator.Cas9Behavior
Crispulator.CRISPRn
Crispulator.CRISPRi
Crispulator.Delta
```

## Miscellaneous functions

```@docs
Crispulator.signal
Crispulator.noise
Crispulator.linear
Crispulator.sigmoid
Crispulator.auprc
Crispulator.auroc
Crispulator.venn
```
